package alx.przyklady;

import org.oorsprong.websamples.ArrayOftCountryCodeAndName;
import org.oorsprong.websamples.TCountryCodeAndName;
import org.oorsprong.websamples.TCountryInfo;
import org.oorsprong.websamples.TLanguage;
import org.oorsprong.websamples_countryinfo.CountryInfoService;
import org.oorsprong.websamples_countryinfo.CountryInfoServiceSoapType;

import javax.swing.*;
import java.util.List;
import java.util.stream.Collectors;

public class Petla {
    public static void main(String[] args) {
        System.out.println("Startujemy");
        CountryInfoService service = new CountryInfoService();
        CountryInfoServiceSoapType proxy = service.getCountryInfoServiceSoap();
        System.out.println("Pobieram info o krajach");
        ArrayOftCountryCodeAndName arrayOftCountryCodeAndName = proxy.listOfCountryNamesByCode();
        List<String> listaKrajow = arrayOftCountryCodeAndName.getTCountryCodeAndName().stream()
                .map(codeAndName -> codeAndName.getSISOCode() + " " + codeAndName.getSName())
                .collect(Collectors.toList());

        while(true) {
            String kraj = (String)JOptionPane.showInputDialog(null, "Podaj kod kraju",
                    "Wybierz", JOptionPane.QUESTION_MESSAGE, null,
                    listaKrajow.toArray(), null);
            if(kraj == null) break;
            String kodKraju = kraj.substring(0, 2);
            System.out.println("Wysyłam zapytanie");
            TCountryInfo countryInfo = proxy.fullCountryInfo(kodKraju);
            System.out.println("Mam odpowiedź: " + countryInfo);

            System.out.println(countryInfo.getSISOCode() + " " + countryInfo.getSName());
            System.out.println("Stolica: " + countryInfo.getSCapitalCity());
            System.out.println("Waluta: " + countryInfo.getSCurrencyISOCode());
            System.out.println("Prefix tel: " + countryInfo.getSPhoneCode());
            System.out.println("Języki:");
            for(TLanguage lang : countryInfo.getLanguages().getTLanguage()) {
                System.out.println(" * " + lang.getSISOCode() + " " + lang.getSName());
            }
        }

    }
}
